<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
MutexConfig..::.Alignment Property
MutexConfig Class See Also Send Feedback

The mutex alignment, in bytes.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public uint Alignment { get; set; }

Visual Basic (Declaration)

    Public Property Alignment As UInteger

Visual C++

    public:
    property unsigned int Alignment {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# Remarks

It is sometimes advantageous to align mutexes on specific byte boundaries in order to minimize cache line collisions. Alignment specifies an alignment for mutexes allocated by Berkeley DB.

If the database environment already exists when Open(String, DatabaseEnvironmentConfig) is called, the value of Alignment will be ignored.

# See Also

MutexConfig Class
BerkeleyDB Namespace